Bug 349641 - forcedeth: too many iterations (6) in nv_nic_irq
forcedeth: too many iterations (6) in nv_nic_irq
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
low Severity low
: ---
: ---
Assigned To: Ivan Vecera
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-23 17:36 EDT by Milan Kerslager
Modified: 2009-07-21 14:17 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-21 14:17:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Kerslager 2007-10-23 17:36:34 EDT
I see a lot of "eth0: too many iterations (6) in nv_nic_irq" messages from my
kernel.

I found workaround by placing this line to /etc/modprobe.d/forcedeth:

options forcedeth max_interrupt_work=10

I read messages about fixing this in latest releases of forcedeth driver. See
http://lkml.org/lkml/2007/10/6/44 and more. Shouldn't it be fixed in RHEL5?
Comment 1 John Hawkes 2007-11-15 11:51:47 EST
Jeff Garzik, a Community maintainer, has a large patchset which includes a
simple removal of this printk().
Comment 2 Milan Kerslager 2007-11-18 06:53:11 EST
'Simple removal' is depended on the whole driver update (see the post above).
In the old/current code this make a sence IMHO so the driver should be updated
in RHEL kernel.
Comment 3 Linda Wang 2009-07-01 10:20:55 EDT
forceth driver has been updated to v0.62 per kernel changelog:
* Fri Apr 24 2009 Don Zickus  [2.6.18-141.el5]
...
- [net] forcedeth: update to upstream version 0.62 (Ivan Vecera ) [479740]

but the printk is still in the driver, just not sure how frequent 
it is been printed.

Please give the latest kernel a try. thanks.
Comment 4 Milan Kerslager 2009-07-08 07:18:13 EDT
I'm using it on fully up-to-date machine. At this time I have no option for this driver is used and no kernel message from kernel about similar problem in the logs.

However the NIC (RTL8110s onboard on ASUS M2N-E motherboard) sometimes lost the link and the machine must be power cycled to work again.
Comment 5 Ivan Vecera 2009-07-21 11:06:01 EDT
So this issue could be closed... right?

Btw. for the RTL8110s issue please open another bug report.
Comment 6 Milan Kerslager 2009-07-21 13:04:33 EDT
Yes. The bug could be closed.

Note You need to log in before you can comment on or make changes to this bug.